@import url('https://fonts.googleapis.com/css2?family=League+Spartan&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'League Spartan', sans-serif; 
}

html{
    background-color: #41816c;
}

#bodylogin{
    background-color: #41816c;
    display: flex;
    justify-content: center;
}

#imglogin{ /*img tela login*/
    margin: 0px 85px;
}

#form {
    width: 100%;
    text-align: center;
    color: #1f644d;
}

#email, #senha {
    width: 100%;
    height: 45px;
    border: 1px solid #1f644d;
    padding-left: 10px;
    margin: 10px -35px;
    outline: none;
    border-radius: 10px;
}

#btn-entrar{/*fazer fora do form(quando lançar no body) se tiver link de acesso! reconfigurando local*/
    width: 100%;
    padding: 15px;
    border: none;
    color: #ffff;
    background-color: #1f644d;
    border-radius: 5px;
    cursor: pointer;
    font-size:20px;
}

#btn-entrar:hover{
    background-color: #47998b;
    transition: background .5s;
}

#btn-entrar:active{
    background-color: #141d1b;
    color: #3cc982;
}

#msgsucessologin{
    text-align: center;
    max-width: 250px;
    padding: 15px;
    height: 45px;
    border: none;
    color: rgb(22, 78, 46);
    background-color: #6ebe89;
    border-radius: 4px;
    font-size:15px;
    display: none;
    margin-left: 110px;
    margin-top: 5px;
}

#msgerrologin{
    text-align: center;
    max-width: 320px;
    padding: 15px;
    height: 45px;
    border: none;
    color: rgb(77, 17, 17);
    background-color: #db7f7f;
    border-radius: 4px;
    font-size:15px;
    display: none;
    margin-left: 77px;
    margin-top: 5px;
}

#msgsucesso{
    text-align: center;
    max-width: 250px;
    padding: 15px;
    height: 45px;
    border: none;
    color: rgb(22, 78, 46);
    background-color: #6ebe89;
    border-radius: 4px;
    font-size:15px;
    display: none;
    margin: 0 auto;
    position: relative;
}

#msgerro{
    text-align: center;
    max-width: 280px;
    padding: 12px;
    height: 45px;
    border: none;
    color: rgb(77, 17, 17);
    background-color: #db7f7f;
    border-radius: 4px;
    font-size:15px;
    display: none;
    margin: 0 auto;
    position: relative;
}

#menu-h {
    height: 61px;
    background: #000000;
}
  
#menu-h ul {
list-style: none;
padding: 0; /* removido o padding e adicionado margin para controle do espaçamento */
margin: 0;
background-color: #000000;
text-align: center; /* centralizar os itens no menu */
}

#menu-h ul li {
display: inline-block; /* alterado display para inline-block para ficar em uma linha */
padding: 0 20px; /* adicionado padding para espaçamento horizontal dos itens */
margin: 0;
}

#menu-h ul li:last-child {
float: right; /* alinha o último item à direita */
padding-right: 0px; /* adicionado padding para espaçamento horizontal do último item */
}

#menu-h ul li a {
display: inline-block;
color: #fff;
text-decoration: none;
padding: 20px;
}

#menu-h ul li a:hover {
    background-color: #3c8a7d;
    transition: background .3s;
}
    
#menu-h ul li a:active {
    background-color: #285c53;
    color: rgb(0, 0, 0);
}
    
#menu-h ul li:last-child a {
background-color: #3c8a7d;
}

#menu-h ul li:last-child a:hover {
background-color: #ffffff;
color: #3c8a7d;
font-weight: 300;
transition: background .3s;
}

#menu-h ul li:last-child a:active {
background-color: #abb4b2;
color: #000000;
font-weight: bold;
}


#container2{
    text-align: center;
    margin-top: 50px;
    background-color: rgb(35, 102, 80);
    height: auto;
    display: block; /*alinha centralizado ajustando*/
    padding-top: 15px ;
    padding-bottom: 10px;
}


#btn-sair{
    border: none;
    width: 30px;
    height: 55px;
    background-color: #000000;
    color: #fff;
    cursor: pointer;
    margin-top: 0;
    margin-bottom: -30px;
}

#btn-sair:hover{
    font-size: bold;
    background-color: #c94343;
    color:#ffffff;
    transition: background .3s;
}
#btn-sair:active{
    background-color: #ffffff;
    color:#ff0000;
}    
.container{
    text-align: center;
    margin-top: 40px;
    }

#containerlogin {
    background-color:  white;
    max-width: 500px;
    max-height: 900px;
    padding: 20px;
    width: 80%;
    left: 50%;
    top: 50%;
    margin: 105px;
    margin-bottom:20%;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0px 0px 8px rgb(40, 56, 50), 0px 0px 12px rgb(40, 56, 50);
}

#containercadlogin{
    background-color: #ffff;
    max-width: 500px;
    max-height: 900px;
    padding: 20px;
    margin: auto;
    margin-top: 50px;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0px 0px 8px rgb(40, 56, 50), 0px 0px 12px rgb(40, 56, 50);
}

.container img{
    display: inline-block;
}

#containerconfig{
    background-color: rgb(35, 102, 80);
    height: 180px;
    display:block;
    padding-top: 15px;
    margin-top: 0;
    box-shadow: 0px 0px 8px rgb(40, 56, 50),
    0px 0px 12px rgb(40, 56, 50);
}

#containercomissao{
    text-align: center;
    background-color: rgb(35, 102, 80);
    height: 130px;
    display:block;
    padding-top: 15px;
    margin-top: 0;
    box-shadow: 0px 0px 8px rgb(40, 56, 50),
    0px 0px 12px rgb(40, 56, 50);
}

#container2{
    text-align: center;
    margin-top: 0px;
    background-color: rgb(35, 102, 80);
    height: auto;
    display: block  ; /*alinha centralizado ajustando*/
    padding-top: 25px ;
    box-shadow:  0px 0px 8px rgb(40, 56, 50),
    0px 0px 12px rgb(40, 56, 50);
}

#divnovabusca{
    display: flex;
    justify-content: center;
    align-items: center;}

h2{
    font-size:20px;
    text-shadow: .5px .5px 3px #cccccc;
    color: rgb(0, 0, 0);
}

#buscacont{
    margin-top: 15px;
    margin-bottom: 5px;
}

#novabusca_contrato{
    padding: 5px;
    border-radius: 5px;
    border: none;
    width: 150px;
    height: 30px;
    background-color: #000000;
    color: #fff;
    cursor: pointer;
    font-size: 18px;
    margin: auto;
    margin-bottom: 5px;
    display: none;
}
#novabusca_contrato:hover{
    background-color: #e9e9e9;
    color:#0e3323;
    transition: background .3s;
}
#novabusca_contrato:active{
    background-color: #55685c;
    color:#ffffff;
}

#displaycadastro{
    display: none;
    flex-direction:row;
    justify-content: center;
    align-items: center;
}

#input-file{
    border-radius: 5px;
    border: none;
    width: 230px;
    height: 23px;
    background-color: #000000;
    color: #fff;
    cursor: pointer;
    font-size: 10px;
    margin-top: 0px;
}
#input-file:hover{
    background-color: #e9e9e9;
    color:#0e3323;
    transition: background .3s;
}
#btinput-file:active{
    background-color: #55685c;
    color:#ffffff;
}


.btn-input{ /*botao buscar e salvar*/
    border-radius: 5px;
    border: none;
    width: 60px;
    height: 20px;
    background-color: #000000;
    color: #fff;
    cursor: pointer;
    margin: 2px 5px;
}
.btn-input:hover{
    background-color: #e9e9e9;
    color:#0e3323;
    transition: background .3s;
}
#btn-input:active{
    background-color: #55685c;
    color:#ffffff;
}

#btn-inputcont{
    border-radius: 5px;
    border: none;
    width: 150px;
    height: 30px;
    background-color: #000000;
    color: #fff;
    cursor: pointer;
    font-size: 18px;
    margin-top: 10px;
}
#btn-inputcont:hover{
    background-color: #e9e9e9;
    color:#0e3323;
    transition: background .3s;
}
#btn-inputcont:active{
    background-color: #55685c;
    color:#ffffff;
}

.editbtn{
    border-radius: 5px;
    border: none;
    width: 60px;
    height: 20px;
    background-color: #000000;
    color: #fff;
    cursor: pointer;
    margin: 2px 5px;
    display: none;
}
.editbtn:hover{
    
    background-color: #e9e9e9;
    color:#0e3323;
    transition: background .3s;
}
.editbtn:active{
    background-color: #55685c;
    color:#ffffff;
}

.cancel{
    border-radius: 5px;
    border: none;
    width: 60px;
    height: 20px;
    background-color: #3a0303;
    color: rgb(255, 255, 255);
    cursor: pointer;
    margin: 2px 5px;
    display: none;
}
.cancel:hover{
    
    background-color: #ffffff;
    color:rgb(155, 4, 4);
    transition: background .3s;
}
.cancel:active{
    background-color: #000000;
    color:#ffffff;
}


.inputnum{/*-input pequeno*/
    border-radius: 5px;
    width: 70px;
    height: 20px;
    border: none;
    background-color: #cccccc;
    padding-left: 2px;
    outline-color: #3c8a7d;
    margin: 2px 5px ;
}
.inputmedio{
    border-radius: 5px;
    width: 120px;
    height: 20px;
    border: none;
    background-color: #cccccc;
    padding-left: 2px;
    outline-color: #3c8a7d;
    margin: 2px 5px ;
}
.inputgde{
    border-radius: 5px;
    width: 200px;
    height: 20px;
    border: none;
    background-color: #cccccc;
    padding-left: 2px;
    outline-color: #3c8a7d;
    margin: 2px 5px ;
    padding-left: 5px;
}

/*TABELAS*/
thead{
    border: 1px;
    text-align: center;
    width: 250px;
    background-color:#315549;
    color: #000000;
}
tbody{
    border: 1px;
    text-align: center;
    width: 250px;
    background-color: #5e9287;
    color: #000000;
}
th{
    border: 1px;
    width: 2%;
    padding: 5px;
}

.fundo-verde {
    background-color:#315549;
    color: #000000;
}


#tabelatotal{
    border: 1px;
    text-align: center;
    width: 250px;
    background-color: #315549;
    color: #000000;
}
#total,#totalvalor,#totalnv{
    min-width: 150px;
    width:auto;
}
#totalnovos{
    min-width: 45px;
    width:auto;
}
#totais,#tbtotal{
    margin: 0 auto;
    display: none;
}
#colunadata,#colunatipo,#colunavalor,#colunavend,#colunavalorpg,#colunaservico,#colunaformapg,#colunadatapg{
    width: 0.5%;
}
#colunatipo,#colunaacoes,#colunacontrato,#colunavendedor,#colunatipocom,#colunadatapgcom,#colunacontratocom,#colunavalorcomissao,#colunavalorpgcom{
    width: 0.1%;
}
    
img.edit{
    width: 20px;
    height: 20px;
    cursor: pointer;
}

#checkboxdiv{
  display: none;
  margin-right: 5px;
}

.checkbox{
    font-weight: bold;
    cursor: pointer;
}

input[type="checkbox"] {
    width: 15px;
    height: 15px;
    vertical-align: middle;
}

#novovend{
    margin-top: 15px;
    margin-bottom: 10px;
}*/

#colunavendconfig,#colunacidade{
    width: 20%;
}

#novabusca_comissao{
    padding-left:30px ;
    border-radius: 5px;
    border: none;
    width: 150px;
    height: 30px;
    background-color: #000000;
    color: #fff;
    cursor: pointer;
    font-size: 18px;
    margin-bottom:25px;
    display: none;
}
#novabusca_comissao:hover{
    background-color: #e9e9e9;
    color:#0e3323;
    transition: background .3s;
}
#novabusca_comissao:active{
    background-color: #55685c;
    color:#ffffff;
}

#opcoes{
    margin-top: 5px;
}

#cadven{
    display: flex;
    justify-content: center;
    align-items: center;
}

#btncadvendtelacadlog{
    margin-top: 7px;
    width: 30%;
    height: 25px;
    border: none;
    color: #ffff;
    background-color: #2a8d80;
    border-radius: 5px;
    cursor: pointer;
    font-size:15px;
    display: none;
}

#btncadvendtelacadlog:hover{
    background-color: #9ca8a3;
    transition: background .5s;
    color: #000000;
    font-weight: bold;
}
#btncadvendtelacadlog:active{
    background-color: #141d1b;
    color: #3cc982;
}

#nomeusuario, #email, #senha, #confirmarsenha {/*tela cadastrar login*/
    width: 100%;
    height: 45px;
    border: 1px solid #1f644d;
    padding-left: 10px;
    margin: 10px -35px;
    outline: none;
    border-radius: 10px;
}

#btn-cadastrar{ /*fazer fora do form(quando lançar no body) se tiver link de acesso! reconfigurando local*/
    width: 100%;
    padding: 15px;
    border: none;
    color: #ffff;
    background-color: #1f644d;
    border-radius: 5px;
    cursor: pointer;
    font-size:20px;
}
#btn-cadastrar:hover{
    background-color: #93a7a3;
    color: #000000;
    font-weight: bold;
    transition: background .5s;
}
#btn-cadastrar:active{
    background-color: #141d1b;
    color: #3cc982;
}

#btn-voltar{
    margin-top: 7px;
    width: 30%;
    height: 30px;
    border: none;
    color: #ffff;
    background-color: #000000;
    border-radius: 5px;
    cursor: pointer;
    font-size:15px;
}
#btn-voltar:hover{
    background-color: #4ca37f;
    transition: background .5s;
    color: #000000;
    font-weight: bold;
}
#btn-voltar:active{
    background-color: #e47474;
    color: #ffffff;
}

.btngde{
    border-radius: 5px;
    border: none;
    width: 150px;
    height: 30px;
    background-color: #000000;
    color: #fff;
    cursor: pointer;
    font-size: 18px;
    margin-top: 15px;
}
.btngde:hover{
    background-color: #ffffff;
    color:#0f2b1c;
    transition: background .3s;
}
.btngde:active{
    background-color: #117265;
    color:#ffffff;
}

.btnpq{
    border-radius: 5px;
    border: none;
    width: 60px;
    height: 20px;
    background-color: #000000;
    color: #fff;
    cursor: pointer;
    margin: 2px 5px;
}
.btnpq:hover{
    
    background-color: #ffffff;
    color:#0f2b1c;
    transition: background .3s;
}
.btnpq:active{
    background-color: #117265;
    color:#ffffff;
}

#displaydataesp{
    padding: 15px;
    display: none;
    font-weight: bold;
    justify-content: center;
    align-items: center;
}

select[disabled] {
    opacity: 0.95;
    padding-left:5px;
}

.fade-in {
    opacity: 0; /* Inicia com opacidade zero */
    animation: fadeIn .5s ease-in-out forwards; /* Animação com duração de 0.5 segundo */
}
  
@keyframes fadeIn {
    from {
      opacity: 0; /* Começa com opacidade zero */
    }
    to {
      opacity: 1; /* Termina com opacidade 1 */
    }
}

#formulario{
    display:none
}

#file-import {
    padding: 9px;
    border-radius: 5px;
    border: none;
    width: 150px;
    height: 30px;
    display: inline-block;
    font-size: 15px;
    background-color: black;
    color: white;
    cursor: pointer;
}

#file-import:hover{
    background-color: #e9e9e9;
    color:#0e3323;
    transition: background .3s;
}
#file-import:active{
    background-color: #55685c;
    color:#ffffff;
}

select:invalid { color: rgb(187, 27, 27); }